net.i2p.util

## Enum SSLEepGet.ProxyType

- java.lang.Object
- - java.lang.Enum<SSLEepGet.ProxyType>
  - - net.i2p.util.SSLEepGet.ProxyType

- All Implemented Interfaces:
    Serializable, Comparable<SSLEepGet.ProxyType>
  Enclosing class:
    SSLEepGet

      public static enum SSLEepGet.ProxyType
      extends Enum<SSLEepGet.ProxyType>

  Not all may be supported.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTTP`
    `HTTPS`
    `INTERNAL`
    `NONE`
    `SOCKS4`
    `SOCKS5`
    `TRANSPARENT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLEepGet.ProxyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SSLEepGet.ProxyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP

          public static final SSLEepGet.ProxyType HTTP

    - #### HTTPS

          public static final SSLEepGet.ProxyType HTTPS

    - #### INTERNAL

          public static final SSLEepGet.ProxyType INTERNAL

    - #### NONE

          public static final SSLEepGet.ProxyType NONE

    - #### SOCKS4

          public static final SSLEepGet.ProxyType SOCKS4

    - #### SOCKS5

          public static final SSLEepGet.ProxyType SOCKS5

    - #### TRANSPARENT

          public static final SSLEepGet.ProxyType TRANSPARENT

  - ### Method Detail

    - #### valueOf

          public static SSLEepGet.ProxyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static SSLEepGet.ProxyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSLEepGet.ProxyType c : SSLEepGet.ProxyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared